Package org.drinkless.tdlib

# Class TdApi.ChatBackground

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBackground

Enclosing class:
  `TdApi`

public static class TdApi.ChatBackground extends TdApi.Object
Describes a background set for a specific chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Background`
  `background`
  The background.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `darkThemeDimming`
  Dimming of the background in dark themes, as a percentage; 0-100.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBackground()`
  Describes a background set for a specific chat.
  `ChatBackground(TdApi.Background background, int darkThemeDimming)`
  Describes a background set for a specific chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### background

    public TdApi.Background background
    The background.

  - ### darkThemeDimming

    public int darkThemeDimming
    Dimming of the background in dark themes, as a percentage; 0-100. Applied only to Wallpaper and Fill types of background.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBackground

    public ChatBackground()
    Describes a background set for a specific chat.

  - ### ChatBackground

    public ChatBackground(TdApi.Background background, int darkThemeDimming)
    Describes a background set for a specific chat.
    Parameters:
      `background` - The background.
      `darkThemeDimming` - Dimming of the background in dark themes, as a percentage; 0-100. Applied only to Wallpaper and Fill types of background.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR